<?php if ( ! defined( 'ABSPATH' ) ) {
	die;
} // Cannot access pages directly.

$data_meta = new Nomos_ThemeOption();
// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// META BOX OPTIONS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$options = array();
// -----------------------------------------
// Page Meta box Options                   -
// -----------------------------------------
$options[] = array(
	'id'        => '_custom_metabox_theme_options',
	'title'     => esc_html__( 'Custom Options', 'nomos-toolkit' ),
	'post_type' => 'page',
	'context'   => 'normal',
	'priority'  => 'high',
	'sections'  => array(
		array(
			'name'   => 'header_footer_theme_options', // !??
			'title'  => esc_html__( 'Header Settings', 'nomos-toolkit' ),
			'icon'   => 'fa fa-cube',
			'fields' => array(
				array(
					'type'    => 'subheading',
					'content' => esc_html__( 'Header Settings', 'nomos-toolkit' ),
				),
				array(
					'id'      => 'enable_custom_header',
					'type'    => 'switcher',
					'title'   => esc_html__( 'Enable Custom Header', 'nomos-toolkit' ),
					'default' => false,
					'desc'    => esc_html__( 'The default is off. If you want to use separate custom page header, turn it on.', 'nomos-toolkit' ),
				),
				array(
					'id'         => 'enable_sticky_menu',
					'type'       => 'select',
					'title'      => esc_html__( 'Sticky Header', 'nomos-toolkit' ),
					'options'    => array(
						'none'  => esc_html__( 'Disable', 'nomos-toolkit' ),
						'smart' => esc_html__( 'Sticky Header', 'nomos-toolkit' ),
					),
					'default'    => 'none',
					'dependency' => array( 'enable_custom_header', '==', true ),
				),
				array(
					'id'         => 'enable_topbar',
					'type'       => 'switcher',
					'title'      => esc_html__( 'Enable topbar', 'nomos-toolkit' ),
					'default'    => false,
					'dependency' => array( 'enable_custom_header', '==', true ),
				),
				array(
					'id'         => 'topbar-text',
					'type'       => 'text',
					'title'      => esc_html__( 'Text Topbar', 'nomos-toolkit' ),
					'dependency' => array( 'enable_custom_header|enable_topbar', '==', 'true|true' ),
				),
				array(
					'id'         => 'metabox_nomos_logo',
					'type'       => 'image',
					'title'      => esc_html__( 'Custom Logo', 'nomos-toolkit' ),
					'dependency' => array( 'enable_custom_header', '==', true ),
				),
				array(
					'id'         => 'nomos_metabox_used_header',
					'type'       => 'select_preview',
					'title'      => esc_html__( 'Header Layout', 'nomos-toolkit' ),
					'desc'       => esc_html__( 'Select a header layout', 'nomos-toolkit' ),
					'options'    => $data_meta->header_options,
					'default'    => 'logo_l_menu_c_icons_r_bg_trans',
					'dependency' => array( 'enable_custom_header', '==', true ),
				),
				array(
					'id'         => 'header_text_color',
					'type'       => 'color_picker',
					'title'      => esc_html__( 'Header Text Color', 'nomos-toolkit' ),
					'default'    => '#000',
					'rgba'       => true,
					'dependency' => array( 'enable_custom_header', '==', true ),
				),
				array(
					'id'         => 'header_bg_color',
					'type'       => 'color_picker',
					'title'      => esc_html__( 'Header Background Color', 'nomos-toolkit' ),
					'default'    => 'rgba(0,0,0,0)',
					'rgba'       => true,
					'dependency' => array( 'enable_custom_header', '==', true ),
				),
				array(
					'id'         => 'header_position',
					'type'       => 'select',
					'title'      => esc_html__( 'Header Type', 'nomos-toolkit' ),
					'options'    => array(
						'relative' => esc_html__( 'Header No Transparent', 'nomos-toolkit' ),
						'absolute' => esc_html__( 'Header Transparent', 'nomos-toolkit' ),
					),
					'default'    => 'relative',
					'dependency' => array( 'enable_custom_header|nomos_metabox_used_header', '==|!=', 'true|sidebar' ),
				),
			
			)
		),
		array(
			'name'   => 'page_banner_settings',
			'title'  => esc_html__( 'Page Banner Settings', 'nomos-toolkit' ),
			'icon'   => 'fa fa-cube',
			'fields' => array(
				array(
					'id'      => 'enable_custom_banner',
					'type'    => 'switcher',
					'title'   => esc_html__( 'Enable Page Custom Banner', 'nomos-toolkit' ),
					'default' => false,
					'desc'    => esc_html__( 'The default is off. If you want to use separate custom page banner, turn it on.', 'nomos-toolkit' ),
				),
				array(
					'id'         => 'hero_section_type',
					'type'       => 'select',
					'title'      => esc_html__( 'Banner Type', 'nomos-toolkit' ),
					'options'    => array(
						'disable'        => esc_html__( 'Disable', 'nomos-toolkit' ),
						'has_background' => esc_html__( 'Has Background', 'nomos-toolkit' ),
						'no_background'  => esc_html__( 'No Background ', 'nomos-toolkit' ),
						'rev_background' => esc_html__( 'Revolution', 'nomos-toolkit' ),
					),
					'default'    => 'no_background',
					'dependency' => array( 'enable_custom_banner', '==', true ),
				),
				array(
					'id'         => 'bg_banner_page',
					'type'       => 'background',
					'title'      => esc_html__( 'Background Banner', 'nomos-toolkit' ),
					'default'    => array(
						'image'      => '',
						'repeat'     => 'repeat-x',
						'position'   => 'center center',
						'attachment' => 'fixed',
						'size'       => 'cover',
						'color'      => '#ffbc00',
					),
					'dependency' => array( 'enable_custom_banner|hero_section_type', '==|==', 'true|has_background' ),
				),
				array(
					'id'         => 'colortext_banner_page',
					'type'       => 'color_picker',
					'title'      => esc_html__( 'Banner Text Color', 'nomos-toolkit' ),
					'default'    => '#ffffff',
					'rgba'       => true,
					'dependency' => array( 'enable_custom_banner|hero_section_type', '==|==', 'true|has_background' ),
				),
				array(
					'id'         => 'nomos_metabox_header_rev_slide',
					'type'       => 'select',
					'options'    => nomos_rev_slide_options(),
					'title'      => esc_html__( 'Revolution', 'nomos-toolkit' ),
					'dependency' => array( 'enable_custom_banner|hero_section_type', '==|==', 'true|rev_background' ),
				),
				array(
					'id'         => 'page_banner_full_width',
					'type'       => 'switcher',
					'title'      => esc_html__( 'Banner Background Full Width', 'nomos-toolkit' ),
					'default'    => 0,
					'dependency' => array( 'enable_custom_banner|hero_section_type', '==|==', 'true|has_background' ),
				),
				array(
					'id'         => 'page_banner_breadcrumb',
					'type'       => 'switcher',
					'title'      => esc_html__( 'Enable Breadcrumb', 'nomos-toolkit' ),
					'default'    => 0,
					'dependency' => array(
						'enable_custom_banner|hero_section_type',
						'==|any',
						'true|no_background,has_background'
					),
					'desc'       => esc_html__( 'This option has no effect on front page and blog page', 'nomos-toolkit' )
				),
				array(
					'id'         => 'page_height_banner',
					'type'       => 'number',
					'title'      => esc_html__( 'Banner Height', 'nomos-toolkit' ),
					'default'    => 200,
					'dependency' => array(
						'enable_custom_banner|hero_section_type',
						'==|any',
						'true|no_background,has_background'
					),
				),
				array(
					'id'         => 'page_margin_top',
					'type'       => 'number',
					'title'      => esc_html__( 'Margin Top', 'nomos-toolkit' ),
					'default'    => 55,
					'dependency' => array(
						'enable_custom_banner|hero_section_type',
						'==|any',
						'true|no_background,has_background'
					),
				),
				array(
					'id'         => 'page_margin_bottom',
					'type'       => 'number',
					'title'      => esc_html__( 'Margin Bottom', 'nomos-toolkit' ),
					'default'    => 100,
					'dependency' => array(
						'enable_custom_banner|hero_section_type',
						'==|any',
						'true|no_background,has_background'
					),
				),
				array(
					'id'         => 'show_hero_section_on_header_mobile',
					'type'       => 'switcher',
					'title'      => esc_html__( 'Show Header Banner On Mobile', 'nomos-toolkit' ),
					'default'    => false,
					'desc'       => esc_html__( 'If enabled, the "Header Banner" is still displayed on the mobile. This option only works when the mobile header is enabled in Theme Options', 'nomos-toolkit' ),
					'dependency' => array( 'enable_custom_banner', '==', 'true' ),
				),
			),
		),
		array(
			'name'   => 'footer_settings',
			'title'  => esc_html__( 'Footer Settings', 'nomos-toolkit' ),
			'icon'   => 'fa fa-cube',
			'fields' => array(
				array(
					'id'      => 'enable_custom_footer',
					'type'    => 'switcher',
					'title'   => esc_html__( 'Enable Custom Footer', 'nomos-toolkit' ),
					'default' => false,
				),
				array(
					'id'         => 'nomos_metabox_footer_options',
					'type'       => 'select',
					'title'      => esc_html__( 'Select Footer Builder', 'nomos-toolkit' ),
					'options'    => 'posts',
					'query_args' => array(
						'post_type'      => 'footer',
						'orderby'        => 'post_date',
						'order'          => 'ASC',
						'posts_per_page' => - 1
					),
					'dependency' => array( 'enable_custom_footer', '==', true ),
				),
			)
		),
	),
);

// -----------------------------------------
// Product Meta box Options
// -----------------------------------------
$global_product_style      = nomos_toolkit_get_option( 'nomos_woo_single_product_layout', 'default' );
$all_product_styles        = array(
	'default'           => esc_html__( 'Default', 'nomos-toolkit' ),
	'vertical_thumnail' => esc_html__( 'Thumbnail Vertical', 'nomos-toolkit' ),
	'sticky_detail'     => esc_html__( 'Sticky Detail', 'nomos-toolkit' ),
	'gallery_detail'    => esc_html__( 'Gallery Detail', 'nomos-toolkit' ),
	'big_images'        => esc_html__( 'Big Images', 'nomos-toolkit' ),
);
$global_product_style_text = isset( $all_product_styles[ $global_product_style ] ) ? $all_product_styles[ $global_product_style ] : $global_product_style;
$options[]                 = array(
	'id'        => '_custom_product_metabox_theme_options',
	'title'     => esc_html__( 'Custom Options', 'nomos-toolkit' ),
	'post_type' => 'product',
	'context'   => 'normal',
	'priority'  => 'high',
	'sections'  => array(
		array(
			'name'   => 'product_options',
			'title'  => esc_html__( 'Product Style', 'nomos-toolkit' ),
			'icon'   => 'fa fa-cube',
			'fields' => array(
				array(
					'id'      => 'product_style',
					'type'    => 'select',
					'title'   => esc_html__( 'Choose Style', 'nomos-toolkit' ),
					'desc'    => esc_html__( 'Choose Product Style', 'nomos-toolkit' ),
					'options' => array(
						'global'            => sprintf( esc_html__( 'Use Theme Options Style: %s', 'nomos-toolkit' ), $global_product_style_text ),
						'default'           => esc_html__( 'Default', 'nomos-toolkit' ),
						'vertical_thumnail' => esc_html__( 'Thumbnail Vertical', 'nomos-toolkit' ),
						'sticky_detail'     => esc_html__( 'Sticky Detail', 'nomos-toolkit' ),
						'gallery_detail'    => esc_html__( 'Gallery Detail', 'nomos-toolkit' ),
						'big_images'        => esc_html__( 'Big Images', 'nomos-toolkit' ),
					),
					'default' => 'global',
				),
				array(
					'id'         => 'product_img_bg_color',
					'type'       => 'color_picker',
					'title'      => esc_html__( 'Image Background Color', 'nomos-toolkit' ),
					'default'    => 'rgba(0,0,0,0)',
					'rgba'       => true,
					'dependency' => array(
						'product_style',
						'==',
						'big_images'
					),
					'desc'       => esc_html__( 'For "Big Images" style only. Default: transparent', 'nomos-toolkit' ),
				),
				array(
					'id'         => 'product_sum_border',
					'type'       => 'switcher',
					'title'      => esc_html__( 'Summary Border', 'nomos-toolkit' ),
					'default'    => false,
					'dependency' => array(
						'product_style',
						'any',
						'default,vertical_thumnail,sticky_detail'
					),
				),
				array(
					'id'         => 'title_price_stars_outside_sum',
					'type'       => 'switcher',
					'title'      => esc_html__( 'Title, Price And Stars Outside Sumary', 'nomos-toolkit' ),
					'default'    => false,
					'dependency' => array(
						'product_style',
						'any',
						'default,vertical_thumnail,sticky_detail'
					),
				),
			)
		),
	)
);
// -----------------------------------------
// Page Footer Meta box Options            -
// -----------------------------------------
$options[] = array(
	'id'        => '_custom_footer_options',
	'title'     => esc_html__( 'Custom Footer Options', 'nomos-toolkit' ),
	'post_type' => 'footer',
	'context'   => 'normal',
	'priority'  => 'high',
	'sections'  => array(
		array(
			'name'   => esc_html__( 'FOOTER STYLE', 'nomos-toolkit' ),
			'fields' => array(
				array(
					'id'       => 'nomos_footer_style',
					'type'     => 'select',
					'title'    => esc_html__( 'Footer Style', 'nomos-toolkit' ),
					'subtitle' => esc_html__( 'Select a Footer Style', 'nomos-toolkit' ),
					'options'  => $data_meta->footer_options,
					'default'  => 'default',
				),
			),
		),
	),
);
// -----------------------------------------
// Page Testimonials Meta box Options      -
// -----------------------------------------
if ( class_exists( 'WooCommerce' ) ) {
	$options[] = array(
		'id'        => '_custom_post_woo_options',
		'title'     => esc_html__( 'Post Meta Data', 'nomos-toolkit' ),
		'post_type' => 'post',
		'context'   => 'normal',
		'priority'  => 'high',
		'sections'  => array(
			array(
				'name'   => 'post-products',
				'title'  => esc_html__( 'Products', 'nomos-toolkit' ),
				'icon'   => 'fa fa-picture-o',
				'fields' => array(
					array(
						'id'         => 'nomos_product_options',
						'type'       => 'select',
						'title'      => esc_html__( 'Select products', 'nomos-toolkit' ),
						'options'    => 'posts',
						'query_args' => array(
							'post_type'      => 'product',
							'orderby'        => 'post_date',
							'order'          => 'ASC',
							'posts_per_page' => - 1
						),
						'class'      => 'chosen',
						'attributes' => array(
							'placeholder' => 'Select product',
							'multiple'    => 'multiple',
							'style'       => 'width: 600px;'
						),
						'desc'       => esc_html__( 'Select product for post. It will display slide in loop.' ),
					),
				),
			),
			array(
				'name'   => 'post-format-setting',
				'title'  => esc_html__( 'Post Format Settings', 'nomos-toolkit' ),
				'icon'   => 'fa fa-picture-o',
				'fields' => array(
					array(
						'id'    => 'audio-video-url',
						'type'  => 'text',
						'title' => esc_html__( 'Upload Video or Audio Url', 'nomos-toolkit' ),
						'desc'  => esc_html__( 'Using when you choose post format video or audio.' ),
					),
					array(
						'id'          => 'post-gallery',
						'type'        => 'gallery',
						'title'       => esc_html__( 'Gallery', 'nomos-toolkit' ),
						'desc'        => esc_html__( 'Using when you choose post format gallery.' ),
						'add_title'   => esc_html__( 'Add Images', 'nomos-toolkit' ),
						'edit_title'  => esc_html__( 'Edit Images', 'nomos-toolkit' ),
						'clear_title' => esc_html__( 'Remove Images', 'nomos-toolkit' ),
					),
					array(
						'id'    => 'page_extra_class',
						'type'  => 'text',
						'title' => esc_html__( 'Extra Class', 'nomos-toolkit' ),
					),
				),
			),
		),
	);
	$options[] = array(
		'id'        => '_custom_product_woo_options',
		'title'     => esc_html__( 'Product Options', 'nomos-toolkit' ),
		'post_type' => 'product',
		'context'   => 'side',
		'priority'  => 'high',
		'sections'  => array(
			array(
				'name'   => 'meta_product_option',
				'fields' => array(
					array(
						'id'          => '360gallery',
						'type'        => 'gallery',
						'title'       => esc_html__( 'Gallery 360', 'nomos-toolkit' ),
						'add_title'   => esc_html__( 'Add Images', 'nomos-toolkit' ),
						'edit_title'  => esc_html__( 'Edit Images', 'nomos-toolkit' ),
						'clear_title' => esc_html__( 'Remove Images', 'nomos-toolkit' ),
					),
					array(
						'id'    => 'youtube_url',
						'type'  => 'text',
						'title' => esc_html__( 'Product Video', 'nomos-toolkit' ),
						'desc'  => esc_html__( 'Supported video Youtube, Vimeo .' ),
					),
				),
			),
		
		
		),
	);
}
// -----------------------------------------
// Page Side Meta box Options              -
// -----------------------------------------
$options[] = array(
	'id'        => '_custom_page_side_options',
	'title'     => esc_html__( 'Custom Page Side Options', 'nomos-toolkit' ),
	'post_type' => 'page',
	'context'   => 'side',
	'priority'  => 'default',
	'sections'  => array(
		array(
			'name'   => 'page_option',
			'fields' => array(
				array(
					'id'      => 'sidebar_page_layout',
					'type'    => 'image_select',
					'title'   => esc_html__( 'Single Post Sidebar Position', 'nomos-toolkit' ),
					'desc'    => esc_html__( 'Select sidebar position on Page.', 'nomos-toolkit' ),
					'options' => array(
						'left'  => NOMOS_TOOLKIT_URL . '/includes/core/assets/images/left-sidebar.png',
						'right' => NOMOS_TOOLKIT_URL . '/includes/core/assets/images/right-sidebar.png',
						'full'  => NOMOS_TOOLKIT_URL . '/includes/core/assets/images/default-sidebar.png',
					),
					'default' => 'left',
				),
				array(
					'id'         => 'page_sidebar',
					'type'       => 'select',
					'title'      => esc_html__( 'Page Sidebar', 'nomos-toolkit' ),
					'options'    => $data_meta->sidebars,
					'default'    => 'blue',
					'dependency' => array( 'sidebar_page_layout_full', '==', false ),
				),
				array(
					'id'    => 'page_extra_class',
					'type'  => 'text',
					'title' => esc_html__( 'Extra Class', 'nomos-toolkit' ),
				),
			),
		),
	
	),
);
// -----------------------------------------
// Post Side Meta box Options              -
// -----------------------------------------

CSFramework_Metabox::instance( $options );
