<?php

if (!class_exists('Nomos_Shortcode_Title')) {
    class Nomos_Shortcode_Title extends Nomos_Shortcode
    {
        /**
         * Shortcode name.
         *
         * @var  string
         */
        public $shortcode = 'title';

        /**
         * Default $atts .
         *
         * @var  array
         */
        public $default_atts = array();


        public static function generate_css($atts)
        {
            // Extract shortcode parameters.
            extract($atts);
            $css = '';

            return $css;
        }


        public function output_html($atts, $content = null)
        {
            $atts = function_exists('vc_map_get_attributes') ? vc_map_get_attributes('nomos_title', $atts) : $atts;

            // Extract shortcode parameters.
            extract($atts);

            $css_class = array('nomos-title');
            $css_class[] = $atts['style'];
            $css_class[] = $atts['title_type'];
            $css_class[] = 'text-' . $atts['title_align'];
            $css_class[] = $atts['el_class'];
            $css_class[] = $atts['title_custom_id'];
            $args = array(
                'a'      => array(
                    'href'  => array(),
                    'title' => array(),
                ),
                'br'     => array(),
                'em'     => array(),
                'strong' => array(),
            );
            if (function_exists('vc_shortcode_custom_css_class')) {
                $css_class[] = ' ' . apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($css, ' '), '', $atts);
            }
            $link_default = array(
                'url'    => '',
                'title'  => '',
                'target' => '',
            );
            if (function_exists('vc_build_link')):
                $link = vc_build_link($atts['link']);
            else:
                $link = $link_default;
            endif;
	
	        // Fix empty target attribute
	        if ( trim( $link['target'] ) == '' ) {
		        $link['target'] = '_self';
	        }

            $img_size_x = 350;
            $img_size_y = 356;
            $img_size = $atts['img_size'];
            if (trim($img_size) != '') {
                $img_size = explode('x', $img_size);
            }
            $img_size_x = isset($img_size[0]) ? max(0, intval($img_size[0])) : $img_size_x;
            $img_size_y = isset($img_size[1]) ? max(0, intval($img_size[1])) : $img_size_y;
            $img_src = nomos_toolkit_resize_image($atts['bg_simple_image'], null, $img_size_x, $img_size_y, true, true, false);

            ob_start();
            ?>
            <div class="<?php echo esc_attr(implode(' ', $css_class)); ?>">
                <?php if ($atts['style'] == 'style3') : ?>
                    <?php if ($atts['small_title']): ?>
                        <span class="block-smtitle"><?php echo wp_kses($atts['small_title'], $args); ?></span>
                    <?php endif; ?>
                    <?php if ($atts['title']): ?>
                        <h3 class="block-title"><a href="<?php echo esc_url($link['url']); ?>"
                                                   target="<?php echo esc_attr($link['target']) ?>"><?php echo wp_kses($atts['title'], $args); ?></a>
                        </h3>
                    <?php endif; ?>
                    <?php if ($atts['des']): ?>
                        <p class="block-des"><?php echo wp_kses($atts['des'], $args); ?></p>
                    <?php endif; ?>
                <?php elseif ($atts['style'] == 'style4'): ?>
                    <?php if ( $bg_simple_image != '' ): ?>
                        <img src="<?php echo esc_url($img_src['url']); ?>"
                             width="<?php echo esc_attr($img_src['width']); ?>"
                             height="<?php echo esc_attr($img_src['height']); ?>" alt="">
                    <?php endif; ?>
                    <?php if ($atts['des']): ?>
                        <p class="block-des"><?php echo wp_kses($atts['des'], $args); ?></p>
                    <?php endif; ?>
                    <?php if ($link['url'] != ''): ?>
                        <a class="block-link" href="<?php echo esc_url($link['url']); ?>"
                           target="<?php echo esc_attr($link['target']); ?>"><?php echo esc_attr($link['title']); ?></a>
                    <?php endif; ?>
                <?php elseif ($atts['style'] == 'style2'): ?>
                    <?php if ($atts['title']): ?>
                        <h3 class="block-title"><a href="<?php echo esc_url($link['url']); ?>"
                                                   target="<?php echo esc_attr($link['target']) ?>"><?php echo wp_kses($atts['title'], $args); ?></a>
                        </h3>
                    <?php endif; ?>
                    <?php if ($atts['des']): ?>
                        <p class="block-des"><?php echo wp_kses($atts['des'], $args); ?></p>
                    <?php endif; ?>
                <?php elseif ($atts['style'] == 'style1'): ?>
                    <?php if ($atts['title']): ?>
                        <h3 class="block-title"><a href="<?php echo esc_url($link['url']); ?>"
                                                   target="<?php echo esc_attr($link['target']) ?>"><?php echo wp_kses($atts['title'], $args); ?></a>
                        </h3>
                    <?php endif; ?>
                    <?php if ($atts['small_title']): ?>
                        <span class="block-smtitle"><?php echo wp_kses($atts['small_title'], $args); ?></span>
                    <?php endif; ?>
                    <?php if ($link['url'] != ''): ?>
                        <a class="block-link" href="<?php echo esc_url($link['url']); ?>"
                           target="<?php echo esc_attr($link['target']); ?>"><?php echo esc_attr($link['title']); ?></a>
                    <?php endif; ?>
                <?php elseif ($atts['style'] == 'style5'): ?>
                    <?php if ($atts['small_title']): ?>
                        <span class="block-smtitle"><?php echo wp_kses($atts['small_title'], $args); ?></span>
                    <?php endif; ?>
                    <?php if ($atts['title']): ?>
                        <h3 class="block-title"><a href="<?php echo esc_url($link['url']); ?>"
                                                   target="<?php echo esc_attr($link['target']) ?>"><?php echo wp_kses($atts['title'], $args); ?></a>
                        </h3>
                    <?php endif; ?>
                    <?php if ($link['url'] != ''): ?>
                        <a class="block-link" href="<?php echo esc_url($link['url']); ?>"
                           target="<?php echo esc_attr($link['target']); ?>"><?php echo esc_attr($link['title']); ?></a>
                    <?php endif; ?>
                <?php else : ?>
                    <?php if ($atts['title']): ?>
                        <h3 class="block-title"><?php echo wp_kses($atts['title'], $args); ?></h3>
                    <?php endif; ?>
                    <?php if ($link['url'] != ''): ?>
                        <a href="<?php echo esc_url($link['url']); ?>"
                           target="<?php echo esc_attr($link['target']); ?>"><?php echo esc_attr($link['title']); ?></a>
                    <?php endif; ?>
                <?php endif; ?>
            </div>

            <?php
            $html = ob_get_clean();

            return apply_filters('Nomos_Shortcode_title', force_balance_tags($html), $atts, $content);
        }
    }
}