<?php
/**
 * The template for displaying comments.
 *
 * @since   1.0.0
 * @package Nomos
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>
<div id="comments" class="comments-area">
	<?php if ( have_comments() ) : ?>
        <h4 class="title-comment">
			<?php
			$comments_number = get_comments_number();
			if ( 1 === $comments_number ) {
				/* translators: %s: post title */
				printf( nomos_x_trans( '1 Comment', 'comments title', 'nomos' ), get_the_title() );
			} else {
				printf(
				/* translators: 1: number of comments, 2: post title */
					nomos_nx_html(
						'Comment (%1$s)',
						'Comments (%1$s)',
						$comments_number,
						'comments title',
						'nomos'
					),
					number_format_i18n( $comments_number ),
					get_the_title()
				);
			}
			?>
        </h4>
		
		<?php the_comments_navigation(); ?>

        <ol class="commentlist">
			<?php
			wp_list_comments( array(
				                  'style'    => 'ol',
				                  'callback' => 'nomos_comments_list',
			                  ) );
			?>
        </ol><!-- .commentlist -->
		
		<?php the_comments_navigation(); ?>
	
	<?php endif; // Check for have_comments(). ?>
	<?php
	// If comments are closed and there are comments, let's leave a little note, shall we?
	if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
		?>
        <p class="no-comments"><?php echo nomos_esc_text_html( 'Comments are closed.', 'nomos' ); ?></p>
	<?php endif; ?>
	<?php
	$args = array(
		'comment_notes_before' => '',
		// Redefine your own textarea (the comment body)
		'comment_field'        => '<div class="comment-form-comment"><label>' . nomos_esc_text_html( 'YOUR COMMENT', 'nomos' ) . '</label><textarea rows="10" placeholder="' . esc_attr__( 'Type your comment', 'nomos' ) . '" name="comment" aria-required="true"></textarea></div>',
		
		'fields'       => '
                <div class="row">
                    <div class="comment-form-author col-sm-12 col-md-6 col-lg-6">
                        <label>' . nomos_esc_text_html( 'NAME', 'nomos' ) . '<span class="required">*</span></label>
                        <input placeholder="' . esc_attr__( '', 'nomos' ) . '" type="text" required="required" size="30" value="" name="author" id="author">
                    </div>
                    <div class="comment-form-email col-sm-12 col-md-6 col-lg-6">
                        <label>' . nomos_esc_text_html( 'EMAIL', 'nomos' ) . ' <span class="required">*</span></label>
                        <input placeholder="' . esc_attr__( '', 'nomos' ) . '" type="email" required="required" size="30" value="" name="email" id="email">
                    </div>
                </div>
            ',
		
		// Change the title of the reply section
		'title_reply'  => nomos_esc_text_html( 'Leave a comment', 'nomos' ),
		
		// Change the title of send button
		'label_submit' => nomos_esc_text_html( 'Post Comment', 'nomos' ),
	);
	
	comment_form( $args );
	?>

</div><!-- .comments-area -->
