<?php get_header(); ?>
<?php
/* Data MetaBox */
$data_meta = get_post_meta( get_the_ID(), '_custom_page_side_options', true );

if ( empty( $data_meta ) ) {
	/*Default page layout*/
	$nomos_page_extra_class = '';
	$nomos_page_layout      = 'left';
	$nomos_page_sidebar     = 'widget-area';
} else {
	/*Default page layout*/
	$nomos_page_extra_class = $data_meta['page_extra_class'];
	$nomos_page_layout      = $data_meta['sidebar_page_layout'];
	$nomos_page_sidebar     = $data_meta['page_sidebar'];
}

if ( ! is_active_sidebar( $nomos_page_sidebar ) ) {
	$nomos_page_layout = 'full';
}

/*Main container class*/
$nomos_main_container_class   = array();
$nomos_main_container_class[] = $nomos_page_extra_class;
$nomos_main_container_class[] = 'main-container';
if ( $nomos_page_layout == 'full' ) {
	$nomos_main_container_class[] = 'no-sidebar';
} else {
	$nomos_main_container_class[] = $nomos_page_layout . '-slidebar';
}
$nomos_main_content_class   = array();
$nomos_main_content_class[] = 'main-content';
if ( $nomos_page_layout == 'full' ) {
	$nomos_main_content_class[] = 'col-sm-12';
} else {
	$nomos_main_content_class[] = 'col-lg-9 col-md-9 col-sm-8 col-xs-12';
}
$nomos_slidebar_class   = array();
$nomos_slidebar_class[] = 'sidebar';
if ( $nomos_page_layout != 'full' ) {
	$nomos_slidebar_class[] = 'col-lg-3 col-md-3 col-sm-4 col-xs-12';
}

?>
    <main class="site-main <?php echo esc_attr( implode( ' ', $nomos_main_container_class ) ); ?>">
        <div class="container">
            <div class="row">
                <div class="<?php echo esc_attr( implode( ' ', $nomos_main_content_class ) ); ?>">
					<?php
					if ( have_posts() ) {
						while ( have_posts() ) {
							the_post();
							?>
                            <div class="page-main-content">
								<?php
								the_content();
								wp_link_pages( array(
									               'before'      => '<div class="page-links"><span class="page-links-title">' . nomos_esc_text_html( 'Pages:', 'nomos' ) . '</span>',
									               'after'       => '</div>',
									               'link_before' => '<span>',
									               'link_after'  => '</span>',
									               'pagelink'    => '<span class="screen-reader-text">' . nomos_esc_text_html( 'Page', 'nomos' ) . ' </span>%',
									               'separator'   => '<span class="screen-reader-text">, </span>',
								               )
								);
								?>
                            </div>
							<?php
							// If comments are open or we have at least one comment, load up the comment template.
							if ( comments_open() || get_comments_number() ) :
								comments_template();
							endif;
							?>
							<?php
						}
					}
					?>
                </div>
				<?php if ( $nomos_page_layout != "full" ): ?>
					<?php if ( is_active_sidebar( $nomos_page_sidebar ) ) : ?>
                        <div id="widget-area"
                             class="widget-area <?php echo esc_attr( implode( ' ', $nomos_slidebar_class ) ); ?>">
							<?php dynamic_sidebar( $nomos_page_sidebar ); ?>
                        </div><!-- .widget-area -->
					<?php endif; ?>
				<?php endif; ?>
            </div>
        </div>
    </main>
<?php get_footer(); ?>