<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package nomos
 */
?>
<?php get_header(); ?>
<?php

/* Blog Layout */
$nomos_blog_layout = nomos_get_option('sidebar_blog_layout', 'left');

/* Blog Style */
$nomos_container_class = array();
$nomos_container_class[] = 'search-page';
$nomos_content_class = array();
$nomos_content_class[] = 'main-content';
$nomos_content_class[] = 'col-lg-12 col-md-12 col-sm-12 col-xs-12';

?>
    <div class="<?php echo esc_attr(implode(' ', $nomos_container_class)); ?>">
        <div class="container">
            <div class="row">
                <div class="<?php echo esc_attr(implode(' ', $nomos_content_class)); ?>">
                    <?php get_template_part('templates/blog/blog', 'search'); ?>
                </div>
            </div>
        </div>
    </div>
<?php get_footer(); ?>