<?php if ( ! is_product() ) { ?>
	<?php if ( ! nomos_get_option( 'shop_panel' ) ) {
		return false;
	}
	
	$shop_page_id          = wc_get_page_id( 'shop' );
	$shop_page_url         = get_permalink( $shop_page_id );
	$list_categories       = nomos_get_option( 'panel-categories', array() );
	$enable_products_sizes = nomos_get_option( 'enable_products_sizes', false );
	
	$owl_item_open        = ''; // '<div class="cat-items cat-items-3">';
	$owl_item_close       = ''; // </div>';
	$list_categories_html = $owl_item_open . '<span data-cat_slug="" class="active all-cats cat-item"><a href="' . esc_url( $shop_page_url ) . '">' . nomos_esc_text_html( 'All', 'nomos' ) . '</a></span>';
	$total_cats_show      = 1;
	$list_cats_class      = 'category-filter category-filter-mobile';
	
	$data_responsive = array(
		'0'   => array(
			'items' => 2,
		),
		'480' => array(
			'items' => 3
		),
		'768' => array(
			'items' => 6
		)
	);
	
	$data_responsive = json_encode( $data_responsive );
	
	if ( ! empty( $list_categories ) ) {
		$total_cats = count( $list_categories ) + 1; // +1 for all products
		foreach ( $list_categories as $list_category ) {
			$term = get_term_by( 'id', $list_category, 'product_cat' );
			if ( $term ) {
				$url = '#';
				$url = get_term_link( $term->term_id, 'product_cat' );
				if ( ! is_wp_error( $url ) ) {
					$total_cats_show ++;
					$list_categories_html .= '<span data-cat_slug="' . esc_attr( $term->slug ) . '" class="cat-item"><a href="' . esc_url( $url ) . '">' . esc_html( $term->name ) . '</a></span>';
					// Open item wrap every 3 categories
					if ( $total_cats_show % 3 == 0 && $total_cats_show < $total_cats ) {
						$list_categories_html .= $owl_item_close;
						$list_categories_html .= $owl_item_open;
					}
				} else {
					$total_cats --;
				}
			}
		}
	}
	
	$list_categories_html .= $owl_item_close;
	
	// Active slideshow if total cats greater than 2
	if ( $total_cats_show >= 3 ) {
		$list_cats_class .= ' owl-carousel';
	}
	
	?>
    <div class="container">
        <div class="row mobile-shop-real">
            <div class="col-xs-8">
                <h2 class="woocommerce-products-header__title page-title"><?php woocommerce_page_title(); ?></h2>
            </div>
            <div class="col-xs-4">
				<?php if ( $enable_products_sizes ) { ?>
                    <div class="part-wrap part-products-size-wrap">
                        <div class="products-sizes">
                            <a href="#" data-products_num="3" class="products-size products-list size-3">
                                <svg viewBox="0 0 16 16" id="view-size-3" width="100%" height="100%">
                                    <path d="M14 8c0 3.3-2.7 6-6 6s-6-2.7-6-6 2.7-6 6-6 6 2.7 6 6z"></path>
                                </svg>
                            </a>
                            <a href="#" data-products_num="5" class="products-size products-grid size-5 active">
                                <svg viewBox="0 0 16 16" id="view-size-5" width="100%" height="100%">
                                    <path d="M4.769 3.385c0 .762-.623 1.385-1.385 1.385S2 4.146 2 3.385 2.623 2 3.385 2s1.384.623 1.384 1.385zM9.385 3.385c0 .762-.623 1.385-1.385 1.385s-1.385-.624-1.385-1.385S7.238 2 8 2s1.385.623 1.385 1.385zM4.769 8c0 .762-.623 1.385-1.385 1.385S2 8.762 2 8s.623-1.385 1.385-1.385S4.769 7.238 4.769 8zM9.385 8c0 .762-.623 1.385-1.385 1.385S6.615 8.762 6.615 8 7.238 6.615 8 6.615 9.385 7.238 9.385 8zM4.769 12.615c0 .762-.623 1.385-1.384 1.385S2 13.377 2 12.615s.623-1.385 1.385-1.385 1.384.624 1.384 1.385zM9.385 12.615C9.385 13.377 8.762 14 8 14s-1.385-.623-1.385-1.385.623-1.384 1.385-1.384 1.385.623 1.385 1.384zM14 3.385c0 .762-.623 1.385-1.385 1.385s-1.385-.623-1.385-1.385S11.854 2 12.615 2C13.377 2 14 2.623 14 3.385zM14 8c0 .762-.623 1.385-1.385 1.385S11.231 8.762 11.231 8s.623-1.385 1.385-1.385C13.377 6.615 14 7.238 14 8zM14 12.615c0 .762-.623 1.385-1.385 1.385s-1.385-.623-1.385-1.385.623-1.385 1.385-1.385A1.39 1.39 0 0 1 14 12.615z"></path>
                                </svg>
                            </a>
                        </div>
                    </div>
				<?php } ?>
            </div>
        </div>
    </div>
    <div class="toolbar-products toolbar-products-mobile toolbar-top">
        <div class="part-wrap part-filter-wrap">
			<?php if ( class_exists( 'PrdctfltrInit' ) ) { ?>
                <div class="actions-wrap">
                    <a class="filter-toggle" href="javascripti:void(0);"><i class="flaticon-filter"></i>
                        <span class="filter-text"><?php esc_html_e( 'Filter', 'nomos' ); ?></span></a>
                </div>
			<?php } ?>
        </div>
        <div class="part-wrap part-cats-list-wrap">
            <div class="<?php echo esc_attr( $list_cats_class ); ?>" data-dots="false" data-nav="true"
                 data-responsive="<?php echo esc_attr( htmlentities2( $data_responsive ) ); ?>">
				<?php echo fami_wp_html_compression_output( $list_categories_html ); ?>
            </div>
        </div>
    </div>
	
	<?php if ( class_exists( 'PrdctfltrInit' ) ) { ?>
        <div class="shop-prdctfltr-filter-wrap">
			<?php woocommerce_catalog_ordering(); ?>
        </div>
	<?php } ?>

<?php }; ?>