<?php
$nomos_blog_bg_items = nomos_get_option('nomos_blog_bg_items', 15);
$nomos_blog_lg_items = nomos_get_option('nomos_blog_lg_items', 4);
$nomos_blog_md_items = nomos_get_option('nomos_blog_md_items', 4);
$nomos_blog_sm_items = nomos_get_option('nomos_blog_sm_items', 6);
$nomos_blog_xs_items = nomos_get_option('nomos_blog_xs_items', 6);
$nomos_blog_ts_items = nomos_get_option('nomos_blog_ts_items', 12);

$classes[] = 'post-item';
$classes[] = 'col-bg-' . $nomos_blog_bg_items;
$classes[] = 'col-lg-' . $nomos_blog_lg_items;
$classes[] = 'col-md-' . $nomos_blog_md_items;
$classes[] = 'col-sm-' . $nomos_blog_sm_items;
$classes[] = 'col-xs-' . $nomos_blog_xs_items;
$classes[] = 'col-ts-' . $nomos_blog_ts_items;

$width = '440';
$height = '503';

?>
<?php if (have_posts()) : ?>
    <div class="blog-content grid auto-clear row">
        <?php while (have_posts()) : the_post(); ?>
            <article <?php post_class($classes); ?>>
                <div class="post-thumb-grid">
                    <div class="post-date-wrap">
                        <a class="post-date" href="<?php the_permalink(); ?>"><span ><?php echo get_the_date(); ?></span></a>
                    </div>
                    <?php nomos_post_thumbnail($width,$height); ?>
                </div>
                
                <div class="post-info">
                    <div class="header-info">
                        <div class="cat-post">
                            <?php the_category(', ', ''); ?>
                        </div>
                        <div class="post-expand">
                            <?php nomos_post_product_meta(); ?>
                            <?php do_action( 'nomos_social_share' ); ?>
                            <div class="comment-count">
                                <?php comments_number(
                                    nomos_esc_text_html('0', 'nomos'),
                                    nomos_esc_text_html('1', 'nomos'),
                                    nomos_esc_text_html('%', 'nomos')
                                );
                                ?>
                            </div>
                        </div>
                    </div>
                    <div class="content-info">
                        <h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                        <div class="post-excerpt"><?php echo wp_trim_words(apply_filters('the_excerpt', get_the_excerpt()), 20, nomos_esc_text_html('...', 'nomos')); ?></div>
                    </div>
                    <div class="footer-info clearfix">
                        <a class="read-more" href="<?php the_permalink(); ?>"><?php echo nomos_esc_text_html('READ STORY', 'nomos'); ?></a>
                        
                    </div>
                </div>
            </article>
        <?php endwhile; ?>
        <?php wp_reset_postdata(); ?>
    </div>
    <?php nomos_paging_nav(); ?>
<?php else : ?>
    <?php get_template_part('content', 'none'); ?>
<?php endif; ?>