<?php
$blog_full_content = nomos_get_option( 'blog_full_content', 'no' );
$width             = '400';
$height            = '444';
?>
<?php if ( have_posts() ) : ?>
    <div class="blog-content list simple">
		<?php while ( have_posts() ) : the_post(); ?>
            <article <?php post_class( 'post-item post-list-item-cols' ); ?>>
				<?php nomos_post_thumbnail( $width, $height ); ?>
                <div class="post-info">
                    <div class="header-info">
                        <div class="cat-post">
							<?php the_category( ', ', '' ); ?>
                        </div>
                        <h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                        <a class="post-date" href="<?php the_permalink(); ?>"><span><?php echo get_the_date(); ?></span></a>
                    </div>
                    <div class="content-info">
                        <div class="post-excerpt"><?php echo wp_trim_words( apply_filters( 'the_excerpt', get_the_excerpt() ), 100, nomos_esc_text_html( '...', 'nomos' ) ); ?></div>
                    </div>
                    <div class="footer-info clearfix">
                        <a class="read-more"
                           href="<?php the_permalink(); ?>"><?php echo nomos_esc_text_html( 'READ STORY', 'nomos' ); ?></a>
                        <div class="post-expand">
							<?php nomos_post_product_meta(); ?>
							<?php do_action( 'nomos_social_share' ); ?>
                            <div class="comment-count">
								<?php comments_number(
									nomos_esc_text_html( '0', 'nomos' ),
									nomos_esc_text_html( '1', 'nomos' ),
									nomos_esc_text_html( '%', 'nomos' )
								);
								?>
                            </div>
                        </div>
                    </div>
                </div>
            </article>
		<?php endwhile; ?>
		<?php wp_reset_postdata(); ?>
    </div>
	<?php nomos_paging_nav(); ?>
<?php else : ?>
	<?php get_template_part( 'content', 'none' ); ?>
<?php endif; ?>

