<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$show_post_author   = nomos_get_option( 'show_post_author', true );
$show_related_posts = nomos_get_option( 'show_single_related_posts', true );

?>

<article <?php post_class( 'post-item post-single' ); ?>>
    <div class="post-info">
        <div class="post-content">
			<?php
			/* translators: %s: Name of current post */
			the_content( sprintf(
				             nomos_esc_text_html( 'Continue reading %s', 'nomos' ),
				             the_title( '<span class="screen-reader-text">', '</span>', false )
			             )
			);
			wp_link_pages( array(
				               'before'      => '<div class="post-pagination"><span class="title">' . nomos_esc_text_html( 'Pages:', 'nomos' ) . '</span>',
				               'after'       => '</div>',
				               'link_before' => '<span>',
				               'link_after'  => '</span>',
			               ) );
			?>
        </div>
    </div>
	
	<?php get_template_part( 'templates/blog/blog-single', 'products-carousel' ); ?>
	<?php
		// Previous/next post navigation.
		$next_post     = get_next_post();
		$previous_post = get_previous_post();
	?>
	<?php if ( ! empty( $next_post ) || ! empty( $previous_post ) ) : ?>
	    <div class="footer-post">
	        <div class="post-expand">
				<?php do_action( 'nomos_social_share' ); ?>
	        </div>
			<?php
			if ( ! empty( $next_post ) && ! empty( $previous_post ) ) :
				the_post_navigation( array(
					                     'next_text' => '<span class="post-text"><span class="meta-nav" aria-hidden="true">' . nomos_esc_text_html( 'Next', 'nomos' ) . '</span> ' .
					                                    '<span class="screen-reader-text">' . nomos_esc_text_html( 'Next post:', 'nomos' ) . '</span> ' .
					                                    '<span class="post-title">%title</span></span>' . get_the_post_thumbnail( $next_post->ID, 'thumbnail' ),
					                     'prev_text' => get_the_post_thumbnail( $previous_post->ID, 'thumbnail' ) . '<span class="post-text"><span class="meta-nav" aria-hidden="true">' . nomos_esc_text_html( 'Previous', 'nomos' ) . '</span> ' .
					                                    '<span class="screen-reader-text">' . nomos_esc_text_html( 'Previous post:', 'nomos' ) . '</span> ' .
					                                    '<span class="post-title">%title</span></span> ',
				                     ) );
	        elseif ( empty( $next_post ) && ! empty( $previous_post ) ):
				the_post_navigation( array(
					                     'prev_text' => get_the_post_thumbnail( $previous_post->ID, 'thumbnail' ) . '<span class="post-text"><span class="meta-nav" aria-hidden="true">' . nomos_esc_text_html( 'Previous', 'nomos' ) . '</span> ' .
					                                    '<span class="screen-reader-text">' . nomos_esc_text_html( 'Previous post:', 'nomos' ) . '</span> ' .
					                                    '<span class="post-title">%title</span></span> ',
				                     ) );
	        elseif ( empty( $previous_post ) && ! empty( $next_post ) ):
				the_post_navigation( array(
					                     'next_text' => '<span class="post-text"><span class="meta-nav" aria-hidden="true">' . nomos_esc_text_html( 'Next', 'nomos' ) . '</span> ' .
					                                    '<span class="screen-reader-text">' . nomos_esc_text_html( 'Next post:', 'nomos' ) . '</span> ' .
					                                    '<span class="post-title">%title</span></span>' . get_the_post_thumbnail( $next_post->ID, 'thumbnail' ),
				                     ) );
			endif;
			?>
	    </div>
	<?php endif; ?>
	<?php if ( $show_post_author ) { ?>
		<?php get_template_part( 'templates/blog/blog', 'author' ); ?>
	<?php } ?>
	<?php if ( $show_related_posts ) { ?>
		<?php get_template_part( 'templates/blog/blog-single', 'related-posts' ); ?>
	<?php } ?>
</article>