<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

?>
<?php if ( have_posts() ) : ?>
    <div class="blog-content blog-content-standard">
		<?php while ( have_posts() ) : the_post(); ?>
            <article <?php post_class( 'post-item post-list-item-cols' ); ?>>
				
				<?php
				if ( has_post_thumbnail() ) {
					?>
                    <div class="post-thumb">
						<?php get_template_part( 'templates/blog/post', 'format' ); ?>
                    </div>
					<?php
				}
				?>
                <div class="post-item-info">
                    <div class="post-date"><a href="<?php the_permalink(); ?>"><?php echo get_the_date(); ?></a></div>
                    <h3 class="post-name">
                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                    </h3>
					<?php
					the_content(
						sprintf(
						/* translators: %s: Name of current post. */
							wp_kses( nomos_translate_text( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'nomos' ), array( 'span' => array( 'class' => array() ) ) ),
							the_title( '<span class="screen-reader-text">"', '"</span>', false )
						)
					);
					?>
					
					<?php
					wp_link_pages(
						array(
							'before'      => '<div class="page-links">' . nomos_esc_text_html( 'Pages:', 'nomos' ),
							'after'       => '</div>',
							'link_before' => '<span>',
							'link_after'  => '</span>',
							'pagelink'    => '<span class="screen-reader-text">' . nomos_esc_text_html( 'Page', 'nomos' ) . ' </span>%',
							'separator'   => '<span class="screen-reader-text">, </span>',
						)
					);
					?>
                </div>

            </article>
		<?php endwhile; ?>
		<?php wp_reset_postdata(); ?>
    </div>
	<?php nomos_paging_nav(); ?>
<?php else : ?>
	<?php get_template_part( 'content', 'none' ); ?>
<?php endif; ?>