<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$has_post_thumbnail = has_post_thumbnail();
$post_class         = $has_post_thumbnail ? 'has-post-thumbnail' : 'no-post-thumbnail';

?>
<div <?php post_class( $post_class . ' post-item' ); ?>>

    <div class="post-thumb">
		<?php if ( $has_post_thumbnail ) {
			$image_thumb = nomos_resize_image( get_post_thumbnail_id(), null, 440, 363, true, false, false );
			?>
            <a href="<?php the_permalink(); ?>">
				<?php echo nomos_img_output( $image_thumb, 'attachment-post-thumbnail wp-post-image', get_the_title() ); ?>
            </a>
		<?php } ?>
        <span class="post-meta-time">
            <span class="post-d">
                <?php the_time( 'j' ); ?>
            </span>
            <span class="post-m">
                <?php the_time( 'M' ); ?>
            </span>
        </span>
    </div>
    <div class="post-info">
        <h2 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
        </h2>

        <div class="post-content"><?php echo wp_trim_words( apply_filters( 'the_excerpt', get_the_excerpt() ), 10, nomos_esc_text_html( '...', 'nomos' ) ); ?></div>
    </div>
</div>