<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

?>
<div <?php post_class( 'blog-item' ); ?>>
	<?php if ( has_post_thumbnail() ) {
		$image_thumb = nomos_resize_image( get_post_thumbnail_id(), null, 370, 226, true, false, false );
		?>
        <div class="blog-thumb">
			<?php echo nomos_img_output( $image_thumb, 'attachment-post-thumbnail wp-post-image', get_the_title() ); ?>
        </div>
	<?php } ?>
    <div class="blog-info">
        <nav class="sticky-date">
            <span class="day"><?php echo get_the_date( 'j' ); ?></span>
            <span class="month"><?php echo get_the_date( 'M' ); ?></span>
        </nav>
        <h2 class="blog-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
        </h2>
        <ul class="blog-meta">
            <li class="date">
				<?php the_time( ' jS F Y' ); ?>
            </li>
            <li class="comment">
                <i class="fa fa-comment"></i>
				<?php comments_number(
					nomos_esc_text_html( '0 Comments', 'nomos' ),
					nomos_esc_text_html( '1 Comment', 'nomos' ),
					nomos_esc_text_html( '% Comments', 'nomos' )
				);
				?>
            </li>
        </ul>
        <div class="blog-content"><?php echo wp_trim_words( apply_filters( 'the_excerpt', get_the_excerpt() ), 10, nomos_esc_text_html( '...', 'nomos' ) ); ?></div>
        <a href="<?php the_permalink(); ?>" class="blog-readmore">
			<?php echo nomos_esc_text_html( 'Read more', 'nomos' ); ?>
            <i class="fa fa-arrow-circle-right" aria-hidden="true"></i>
        </a>
    </div>
</div>