<?php
/*
 Name:  Header Logo Left - Menu Center - Icons Right - Bg Trans
 */
$menu_sticky = nomos_get_option( 'enable_sticky_menu', 'smart' );
$header_pos  = nomos_get_option( 'header_position', 'absolute' );

$header_class = '';

$header_color    = nomos_get_option( 'header_text_color', '#000' );
$header_bg_color = nomos_get_option( 'header_bg_color', '#fff' );

$single_id = nomos_get_single_page_id();

if ( $single_id > 0 ) {
	$enable_custom_header = false;
	$meta_data            = get_post_meta( $single_id, '_custom_metabox_theme_options', true );
	// Override custom header (if request from url)
	if ( isset( $_GET['enable_custom_header'] ) ) {
		$meta_data['enable_custom_header'] = $_GET['enable_custom_header'] == 'yes';
	}
	if ( isset( $meta_data['enable_custom_header'] ) ) {
		$enable_custom_header = $meta_data['enable_custom_header'];
	}
	if ( $enable_custom_header ) {
		$header_color    = $meta_data['header_text_color'];
		$header_bg_color = $meta_data['header_bg_color'];
		$header_pos      = isset( $meta_data['header_position'] ) ? $meta_data['header_position'] : $header_pos;
		$menu_sticky     = $meta_data['enable_sticky_menu'];
	}
}

if ( $menu_sticky == 'normal' ) {
	$header_class = ' menu-sticky-nomal';
} elseif ( $menu_sticky == 'smart' ) {
	$header_class = ' menu-sticky-smart';
}
if ( nomos_get_option( 'enable_topbar' ) ) {
	$header_class .= ' topbar-enabled';
}

$header_class .= ' header-pos-' . esc_attr( $header_pos );

?>
<header id="header"
        class="site-header header header-lg_l-mn_c-ic_r lg_l mn_c ic_r <?php echo esc_attr( $header_class ); ?>">
    <div class="header-wrap"
         style="background-color: <?php echo esc_attr( $header_bg_color ); ?>; color: <?php echo esc_attr( $header_color ); ?>;">
		<?php get_template_part( 'template-parts/header', 'topbar' ); ?>
        <div class="header-wrap-stick">
            <div class="header-position" style="background-color: <?php echo esc_attr( $header_bg_color ); ?>;">
                <div class="header-container">
                    <div class="main-menu-wrapper"></div>
                    <div class="row">
                        <div class="header-logo col-md-2 col-sm-2">
                            <div class="logo">
								<?php nomos_get_logo(); ?>
                            </div>
                        </div>
                        <div class="header-menu horizon-menu col-sm-7 col-md-8">
                            <nav class="main-navigation">
								<?php
								wp_nav_menu( array(
									             'menu'            => 'primary',
									             'theme_location'  => 'primary',
									             'depth'           => 3,
									             'container'       => '',
									             'container_class' => '',
									             'container_id'    => '',
									             'menu_class'      => 'clone-main-menu nomos-nav main-menu',
									             'fallback_cb'     => 'Nomos_navwalker::fallback',
									             'walker'          => new Nomos_navwalker(),
								             )
								);
								?>
                            </nav>
                        </div>
                        <div class="header-control-right col-sm-3 col-md-2">
                            <div class="header-control-wrap">
								<?php if ( class_exists( 'SitePress' ) ) { ?>
                                    <ul class="currency-language">
										<?php
										get_template_part( 'template-parts/header', 'language' );
										?>
                                    </ul>
								<?php } ?>
                                <div class="header-search-box">
                                    <span class="icon-magnifier icons"></span>
									<?php nomos_search_form(); ?>
                                </div>
								<?php if ( class_exists( 'WooCommerce' ) ) { ?>
                                    <div class="block-account">
										<?php if ( is_user_logged_in() ) { ?>
											<?php $currentUser = wp_get_current_user(); ?>
                                            <a class="header-userlink"
                                               href="<?php echo get_permalink( get_option( 'woocommerce_myaccount_page_id' ) ); ?>"
                                               title="<?php esc_attr_e( 'My Account', 'nomos' ); ?>">
                                                <span class="screen-reader-text"><?php echo sprintf( nomos_esc_text_html( 'Hi, %s', 'nomos' ), $currentUser->display_name ); ?></span>
                                                <span class="flaticon-user"></span>
                                            </a>
										<?php } else { ?>
                                            <a href="#login-popup" data-effect="mfp-zoom-in" class="acc-popup">
                                                <span>
                                                    <span class="flaticon-user"></span>
                                                </span>
                                            </a>
										<?php } ?>
                                    </div>
									<?php get_template_part( 'template-parts/header', 'minicart' ); ?>
								<?php }; ?>
                                <a class="menu-bar mobile-navigation" href="javascript:void(0)">
                                    <span class="menu-btn-icon">
                                        <span style="color: <?php echo esc_attr( $header_color ); ?>;"></span>
                                        <span style="color: <?php echo esc_attr( $header_color ); ?>;"></span>
                                        <span style="color: <?php echo esc_attr( $header_color ); ?>;"></span>
                                    </span>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
	
	<?php
	get_template_part( 'template-parts/hero', 'section' );
	?>

</header>