<?php
/*
 Name:  Header Sidebar Left
 */
$menu_sticky = nomos_get_option( 'enable_sticky_menu', 'smart' );
$header_pos  = nomos_get_option( 'header_position', 'absolute' );

$header_class = '';

$header_color    = nomos_get_option( 'header_text_color', '#000' );
$header_bg_color = nomos_get_option( 'header_bg_color', '#fff' );
$single_id       = nomos_get_single_page_id();
if ( $single_id > 0 ) {
	$meta_data            = get_post_meta( $single_id, '_custom_metabox_theme_options', true );
	$enable_custom_header = false;
	if ( isset( $meta_data['enable_custom_header'] ) ) {
		// Override custom header (if request from url)
		if ( isset( $_GET['enable_custom_header'] ) ) {
			$meta_data['enable_custom_header'] = $_GET['enable_custom_header'] == 'yes';
		}
		$enable_custom_header = $meta_data['enable_custom_header'];
	}
	if ( $enable_custom_header ) {
		$header_color    = $meta_data['header_text_color'];
		$header_bg_color = $meta_data['header_bg_color'];
		$header_pos      = isset( $meta_data['header_position'] ) ? $meta_data['header_position'] : $header_pos;
		$menu_sticky     = $meta_data['enable_sticky_menu'];
	}
}

if ( $menu_sticky == 'normal' ) {
	$header_class = ' menu-sticky-nomal';
} elseif ( $menu_sticky == 'smart' ) {
	$header_class = ' menu-sticky-smart';
}
if ( nomos_get_option( 'enable_topbar' ) ) {
	$header_class .= ' topbar-enabled';
}

?>
<header id="header" class="header header-sidebar <?php echo esc_attr( $header_class ); ?>">
    <div class="header-wrap"
         style="background-color: <?php echo esc_attr( $header_bg_color ); ?>; color: <?php echo esc_attr( $header_color ); ?>;">
        <div class="header-wrap-stick">
            <div class="header-main-wrap">
                <div class="header-container">
                    <div class="row">
                        <div class="vertical-menu-overlay"></div>
                        <div class="header-menu vertical-menu">
                            <div class="vertical-menu-wrap">
                                <div class="header-vertical-top">
                                    <div class="logo">
										<?php nomos_get_logo(); ?>
                                    </div>
                                    <div class="header-vertical-control">
                                        <div class="header-search-box">
                                            <span class="icon-magnifier icons"></span>
											<?php nomos_search_form(); ?>
                                        </div>
										<?php if ( class_exists( 'WooCommerce' ) ): ?>
                                            <div class="block-account">
												<?php if ( is_user_logged_in() ) { ?>
													<?php $currentUser = wp_get_current_user(); ?>
                                                    <a class="header-userlink"
                                                       href="<?php echo get_permalink( get_option( 'woocommerce_myaccount_page_id' ) ); ?>"
                                                       title="<?php esc_attr_e( 'My Account', 'nomos' ); ?>">
                                                        <span class="screen-reader-text"><?php echo sprintf( nomos_esc_text_html( 'Hi, %s', 'nomos' ), $currentUser->display_name ); ?></span>
                                                        <span class="flaticon-user"></span>
                                                    </a>
												<?php } else { ?>
                                                    <a href="#login-popup" data-effect="mfp-zoom-in" class="acc-popup">
                                                        <span>
                                                            <span class="flaticon-user"></span>
                                                        </span>
                                                    </a>
												<?php } ?>
                                            </div>
											<?php get_template_part( 'template-parts/header', 'minicart' ); ?>
										<?php endif; ?>
                                    </div>
                                </div>
                                <div class="menu-scroll">
                                    <div class="scrollbar-macosx">
                                        <div class="menu-scroll-inner">
                                            <nav class="main-navigation">
												<?php
												wp_nav_menu( array(
													             'menu'            => 'vertical',
													             'theme_location'  => 'vertical_menu',
													             'depth'           => 3,
													             'container'       => '',
													             'container_class' => '',
													             'container_id'    => '',
													             'menu_class'      => 'nomos-nav main-menu',
													             'fallback_cb'     => 'Nomos_navwalker::fallback',
													             'walker'          => new Nomos_navwalker(),
												             )
												);
												?>
                                            </nav>
                                        </div>
                                    </div>
                                </div>
                            </div>
							<?php get_template_part( 'template-parts/header', 'social' ); ?>
                        </div>
                        <div class="header-logo">
                            <div class="logo">
								<?php nomos_get_logo(); ?>
                            </div>
                        </div>
                        <div class="header-control-right">
                            <div class="header-control-wrap">
                                <div class="vertical-menu-btn">
                                    <span class="menu-btn-icon">
                                        <span style="color: <?php echo esc_attr( $header_color ); ?>;"></span>
                                        <span style="color: <?php echo esc_attr( $header_color ); ?>;"></span>
                                        <span style="color: <?php echo esc_attr( $header_color ); ?>;"></span>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</header>
